package com.ihaoin.hooloo.device.data;

import com.chad.library.adapter.base.entity.SectionEntity;

/**
 * Created by Jair on 2022/4/22.
 */
public class ScrollBean extends SectionEntity<ScrollBean.ScrollItemBean> {

    public ScrollBean(boolean isHeader, String header) {
        super(isHeader, header);
    }

    public ScrollBean(ScrollItemBean bean) {
        super(bean);
    }

    public static class ScrollItemBean {
        private Object obj;
        private String type;

        public ScrollItemBean(Object obj, String type) {
            this.obj = obj;
            this.type = type;
        }

        public Object getObject() {
            return obj;
        }

        public String getType() {
            return type;
        }
    }
}
